### Hierarchy

- Server
  - Server

## Index

### Constructors

- constructor

### Properties

- connections
- headersTimeout
- keepAliveTimeout
- listening
- maxConnections
- maxHeadersCount
- timeout
- defaultMaxListeners

### Methods

- addContext
- addListener
- address
- close
- emit
- eventNames
- getConnections
- getMaxListeners
- listen
- listenerCount
- listeners
- off
- on
- once
- prependListener
- prependOnceListener
- rawListeners
- ref
- removeAllListeners
- removeListener
- setMaxListeners
- setTimeout
- unref
- listenerCount

## Constructors

### constructor

- new Server(options: ServerOptions, requestListener?: http.RequestListener): Server

- Overrides Server.constructor

  - Defined in node_modules/@types/node/https.d.ts:24

  #### Parameters

  - ##### options: ServerOptions

  - ##### Optional requestListener: http.RequestListener

  #### Returns Server

## Properties

### connections

connections: number

Inherited from Server.connections

- Defined in node_modules/@types/node/net.d.ts:181

### headersTimeout

headersTimeout: number

- Defined in node_modules/@types/node/https.d.ts:41

Limit the amount of time the parser will wait to receive the complete HTTP headers.

default

  40000 https://nodejs.org/api/http.html#http_server_headerstimeout

### keepAliveTimeout

keepAliveTimeout: number

- Defined in node_modules/@types/node/https.d.ts:42

### listening

listening: boolean

Inherited from Server.listening

- Defined in node_modules/@types/node/net.d.ts:182

### maxConnections

maxConnections: number

Inherited from Server.maxConnections

- Defined in node_modules/@types/node/net.d.ts:180

### maxHeadersCount

maxHeadersCount: number | null

- Defined in node_modules/@types/node/https.d.ts:34

Limits maximum incoming headers count. If set to 0, no limit will be applied.

default

  2000 https://nodejs.org/api/http.html#http_server_maxheaderscount

### timeout

timeout: number

- Defined in node_modules/@types/node/https.d.ts:35

### Static defaultMaxListeners

defaultMaxListeners: number

Inherited from EventEmitter.defaultMaxListeners

- Defined in node_modules/@types/node/events.d.ts:8

## Methods

### addContext

- addContext(hostName: string, credentials: object): void

- Inherited from Server.addContext

  - Defined in node_modules/@types/node/tls.d.ts:279

  #### Parameters

  - ##### hostName: string

  - ##### credentials: object

    - ##### ca: string

    - ##### cert: string

    - ##### key: string

  #### Returns void

### addListener

- addListener(event: string, listener: function): this
- addListener(event: "tlsClientError", listener: function): this
- addListener(event: "newSession", listener: function): this
- addListener(event: "OCSPRequest", listener: function): this
- addListener(event: "resumeSession", listener: function): this
- addListener(event: "secureConnection", listener: function): this

- Inherited from Server.addListener

  Overrides Server.addListener

  - Defined in node_modules/@types/node/tls.d.ts:293

  events.EventEmitter

  1. tlsClientError
  2. newSession
  3. OCSPRequest
  4. resumeSession
  5. secureConnection

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Inherited from Server.addListener

  Overrides Server.addListener

  - Defined in node_modules/@types/node/tls.d.ts:294

  #### Parameters

  - ##### event: "tlsClientError"

  - ##### listener: function

    - - (err: Error, tlsSocket: TLSSocket): void

      - #### Parameters

        - ##### err: Error

        - ##### tlsSocket: TLSSocket

        #### Returns void

  #### Returns this

- Inherited from Server.addListener

  Overrides Server.addListener

  - Defined in node_modules/@types/node/tls.d.ts:295

  #### Parameters

  - ##### event: "newSession"

  - ##### listener: function

    - - (sessionId: Buffer, sessionData: Buffer, callback: function): void

      - #### Parameters

        - ##### sessionId: Buffer

        - ##### sessionData: Buffer

        - ##### callback: function

          - - (err: Error, resp: Buffer): void

            - #### Parameters

              - ##### err: Error

              - ##### resp: Buffer

              #### Returns void

  #### Returns this

- Inherited from Server.addListener

  Overrides Server.addListener

  - Defined in node_modules/@types/node/tls.d.ts:296

  #### Parameters

  - ##### event: "OCSPRequest"

  - ##### listener: function

    - - (certificate: Buffer, issuer: Buffer, callback: function): void

      - #### Parameters

        - ##### certificate: Buffer

        - ##### issuer: Buffer

        - ##### callback: function

          - - (err: Error | null, resp: Buffer): void

            - #### Parameters

              - ##### err: Error | null

              - ##### resp: Buffer

              #### Returns void

  #### Returns this

- Inherited from Server.addListener

  Overrides Server.addListener

  - Defined in node_modules/@types/node/tls.d.ts:297

  #### Parameters

  - ##### event: "resumeSession"

  - ##### listener: function

    - - (sessionId: Buffer, callback: function): void

      - #### Parameters

        - ##### sessionId: Buffer

        - ##### callback: function

          - - (err: Error, sessionData: Buffer): void

            - #### Parameters

              - ##### err: Error

              - ##### sessionData: Buffer

              #### Returns void

  #### Returns this

- Inherited from Server.addListener

  Overrides Server.addListener

  - Defined in node_modules/@types/node/tls.d.ts:298

  #### Parameters

  - ##### event: "secureConnection"

  - ##### listener: function

    - - (tlsSocket: TLSSocket): void

      - #### Parameters

        - ##### tlsSocket: TLSSocket

        #### Returns void

  #### Returns this

### address

- address(): AddressInfo | string | null

- Inherited from Server.address

  - Defined in node_modules/@types/node/net.d.ts:176

  #### Returns AddressInfo | string | null

### close

- close(callback?: undefined | function): this

- Inherited from Server.close

  - Defined in node_modules/@types/node/net.d.ts:175

  #### Parameters

  - ##### Optional callback: undefined | function

  #### Returns this

### emit

- emit(event: string | symbol, ...args: any[]): boolean
- emit(event: "tlsClientError", err: Error, tlsSocket: TLSSocket): boolean
- emit(event: "newSession", sessionId: Buffer, sessionData: Buffer, callback: function): boolean
- emit(event: "OCSPRequest", certificate: Buffer, issuer: Buffer, callback: function): boolean
- emit(event: "resumeSession", sessionId: Buffer, callback: function): boolean
- emit(event: "secureConnection", tlsSocket: TLSSocket): boolean

- Inherited from Server.emit

  Overrides Server.emit

  - Defined in node_modules/@types/node/tls.d.ts:300

  #### Parameters

  - ##### event: string | symbol

  - ##### Rest ...args: any[]

  #### Returns boolean

- Inherited from Server.emit

  Overrides Server.emit

  - Defined in node_modules/@types/node/tls.d.ts:301

  #### Parameters

  - ##### event: "tlsClientError"

  - ##### err: Error

  - ##### tlsSocket: TLSSocket

  #### Returns boolean

- Inherited from Server.emit

  Overrides Server.emit

  - Defined in node_modules/@types/node/tls.d.ts:302

  #### Parameters

  - ##### event: "newSession"

  - ##### sessionId: Buffer

  - ##### sessionData: Buffer

  - ##### callback: function

    - - (err: Error, resp: Buffer): void

      - #### Parameters

        - ##### err: Error

        - ##### resp: Buffer

        #### Returns void

  #### Returns boolean

- Inherited from Server.emit

  Overrides Server.emit

  - Defined in node_modules/@types/node/tls.d.ts:303

  #### Parameters

  - ##### event: "OCSPRequest"

  - ##### certificate: Buffer

  - ##### issuer: Buffer

  - ##### callback: function

    - - (err: Error | null, resp: Buffer): void

      - #### Parameters

        - ##### err: Error | null

        - ##### resp: Buffer

        #### Returns void

  #### Returns boolean

- Inherited from Server.emit

  Overrides Server.emit

  - Defined in node_modules/@types/node/tls.d.ts:304

  #### Parameters

  - ##### event: "resumeSession"

  - ##### sessionId: Buffer

  - ##### callback: function

    - - (err: Error, sessionData: Buffer): void

      - #### Parameters

        - ##### err: Error

        - ##### sessionData: Buffer

        #### Returns void

  #### Returns boolean

- Inherited from Server.emit

  Overrides Server.emit

  - Defined in node_modules/@types/node/tls.d.ts:305

  #### Parameters

  - ##### event: "secureConnection"

  - ##### tlsSocket: TLSSocket

  #### Returns boolean

### eventNames

- eventNames(): Array<string | symbol>

- Inherited from EventEmitter.eventNames

  Overrides EventEmitter.eventNames

  - Defined in node_modules/@types/node/events.d.ts:23

  #### Returns Array<string | symbol>

### getConnections

- getConnections(cb: function): void

- Inherited from Server.getConnections

  - Defined in node_modules/@types/node/net.d.ts:177

  #### Parameters

  - ##### cb: function

    - - (error: Error | null, count: number): void

      - #### Parameters

        - ##### error: Error | null

        - ##### count: number

        #### Returns void

### getMaxListeners

- getMaxListeners(): number

- Inherited from EventEmitter.getMaxListeners

  Overrides EventEmitter.getMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:19

  #### Returns number

### listen

- listen(port?: undefined | number, hostname?: undefined | string, backlog?: undefined | number, listeningListener?: undefined | function): this
- listen(port?: undefined | number, hostname?: undefined | string, listeningListener?: undefined | function): this
- listen(port?: undefined | number, backlog?: undefined | number, listeningListener?: undefined | function): this
- listen(port?: undefined | number, listeningListener?: undefined | function): this
- listen(path: string, backlog?: undefined | number, listeningListener?: undefined | function): this
- listen(path: string, listeningListener?: undefined | function): this
- listen(options: ListenOptions, listeningListener?: undefined | function): this
- listen(handle: any, backlog?: undefined | number, listeningListener?: undefined | function): this
- listen(handle: any, listeningListener?: undefined | function): this

- Inherited from Server.listen

  - Defined in node_modules/@types/node/net.d.ts:166

  #### Parameters

  - ##### Optional port: undefined | number

  - ##### Optional hostname: undefined | string

  - ##### Optional backlog: undefined | number

  - ##### Optional listeningListener: undefined | function

  #### Returns this

- Inherited from Server.listen

  - Defined in node_modules/@types/node/net.d.ts:167

  #### Parameters

  - ##### Optional port: undefined | number

  - ##### Optional hostname: undefined | string

  - ##### Optional listeningListener: undefined | function

  #### Returns this

- Inherited from Server.listen

  - Defined in node_modules/@types/node/net.d.ts:168

  #### Parameters

  - ##### Optional port: undefined | number

  - ##### Optional backlog: undefined | number

  - ##### Optional listeningListener: undefined | function

  #### Returns this

- Inherited from Server.listen

  - Defined in node_modules/@types/node/net.d.ts:169

  #### Parameters

  - ##### Optional port: undefined | number

  - ##### Optional listeningListener: undefined | function

  #### Returns this

- Inherited from Server.listen

  - Defined in node_modules/@types/node/net.d.ts:170

  #### Parameters

  - ##### path: string

  - ##### Optional backlog: undefined | number

  - ##### Optional listeningListener: undefined | function

  #### Returns this

- Inherited from Server.listen

  - Defined in node_modules/@types/node/net.d.ts:171

  #### Parameters

  - ##### path: string

  - ##### Optional listeningListener: undefined | function

  #### Returns this

- Inherited from Server.listen

  - Defined in node_modules/@types/node/net.d.ts:172

  #### Parameters

  - ##### options: ListenOptions

  - ##### Optional listeningListener: undefined | function

  #### Returns this

- Inherited from Server.listen

  - Defined in node_modules/@types/node/net.d.ts:173

  #### Parameters

  - ##### handle: any

  - ##### Optional backlog: undefined | number

  - ##### Optional listeningListener: undefined | function

  #### Returns this

- Inherited from Server.listen

  - Defined in node_modules/@types/node/net.d.ts:174

  #### Parameters

  - ##### handle: any

  - ##### Optional listeningListener: undefined | function

  #### Returns this

### listenerCount

- listenerCount(type: string | symbol): number

- Inherited from EventEmitter.listenerCount

  Overrides EventEmitter.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:24

  #### Parameters

  - ##### type: string | symbol

  #### Returns number

### listeners

- listeners(event: string | symbol): Function[]

- Inherited from EventEmitter.listeners

  Overrides EventEmitter.listeners

  - Defined in node_modules/@types/node/events.d.ts:20

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### off

- off(event: string | symbol, listener: function): this

- Inherited from EventEmitter.off

  Overrides EventEmitter.off

  - Defined in node_modules/@types/node/events.d.ts:16

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### on

- on(event: string, listener: function): this
- on(event: "tlsClientError", listener: function): this
- on(event: "newSession", listener: function): this
- on(event: "OCSPRequest", listener: function): this
- on(event: "resumeSession", listener: function): this
- on(event: "secureConnection", listener: function): this

- Inherited from Server.on

  Overrides Server.on

  - Defined in node_modules/@types/node/tls.d.ts:307

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Inherited from Server.on

  Overrides Server.on

  - Defined in node_modules/@types/node/tls.d.ts:308

  #### Parameters

  - ##### event: "tlsClientError"

  - ##### listener: function

    - - (err: Error, tlsSocket: TLSSocket): void

      - #### Parameters

        - ##### err: Error

        - ##### tlsSocket: TLSSocket

        #### Returns void

  #### Returns this

- Inherited from Server.on

  Overrides Server.on

  - Defined in node_modules/@types/node/tls.d.ts:309

  #### Parameters

  - ##### event: "newSession"

  - ##### listener: function

    - - (sessionId: Buffer, sessionData: Buffer, callback: function): void

      - #### Parameters

        - ##### sessionId: Buffer

        - ##### sessionData: Buffer

        - ##### callback: function

          - - (err: Error, resp: Buffer): void

            - #### Parameters

              - ##### err: Error

              - ##### resp: Buffer

              #### Returns void

  #### Returns this

- Inherited from Server.on

  Overrides Server.on

  - Defined in node_modules/@types/node/tls.d.ts:310

  #### Parameters

  - ##### event: "OCSPRequest"

  - ##### listener: function

    - - (certificate: Buffer, issuer: Buffer, callback: function): void

      - #### Parameters

        - ##### certificate: Buffer

        - ##### issuer: Buffer

        - ##### callback: function

          - - (err: Error | null, resp: Buffer): void

            - #### Parameters

              - ##### err: Error | null

              - ##### resp: Buffer

              #### Returns void

  #### Returns this

- Inherited from Server.on

  Overrides Server.on

  - Defined in node_modules/@types/node/tls.d.ts:311

  #### Parameters

  - ##### event: "resumeSession"

  - ##### listener: function

    - - (sessionId: Buffer, callback: function): void

      - #### Parameters

        - ##### sessionId: Buffer

        - ##### callback: function

          - - (err: Error, sessionData: Buffer): void

            - #### Parameters

              - ##### err: Error

              - ##### sessionData: Buffer

              #### Returns void

  #### Returns this

- Inherited from Server.on

  Overrides Server.on

  - Defined in node_modules/@types/node/tls.d.ts:312

  #### Parameters

  - ##### event: "secureConnection"

  - ##### listener: function

    - - (tlsSocket: TLSSocket): void

      - #### Parameters

        - ##### tlsSocket: TLSSocket

        #### Returns void

  #### Returns this

### once

- once(event: string, listener: function): this
- once(event: "tlsClientError", listener: function): this
- once(event: "newSession", listener: function): this
- once(event: "OCSPRequest", listener: function): this
- once(event: "resumeSession", listener: function): this
- once(event: "secureConnection", listener: function): this

- Inherited from Server.once

  Overrides Server.once

  - Defined in node_modules/@types/node/tls.d.ts:314

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Inherited from Server.once

  Overrides Server.once

  - Defined in node_modules/@types/node/tls.d.ts:315

  #### Parameters

  - ##### event: "tlsClientError"

  - ##### listener: function

    - - (err: Error, tlsSocket: TLSSocket): void

      - #### Parameters

        - ##### err: Error

        - ##### tlsSocket: TLSSocket

        #### Returns void

  #### Returns this

- Inherited from Server.once

  Overrides Server.once

  - Defined in node_modules/@types/node/tls.d.ts:316

  #### Parameters

  - ##### event: "newSession"

  - ##### listener: function

    - - (sessionId: Buffer, sessionData: Buffer, callback: function): void

      - #### Parameters

        - ##### sessionId: Buffer

        - ##### sessionData: Buffer

        - ##### callback: function

          - - (err: Error, resp: Buffer): void

            - #### Parameters

              - ##### err: Error

              - ##### resp: Buffer

              #### Returns void

  #### Returns this

- Inherited from Server.once

  Overrides Server.once

  - Defined in node_modules/@types/node/tls.d.ts:317

  #### Parameters

  - ##### event: "OCSPRequest"

  - ##### listener: function

    - - (certificate: Buffer, issuer: Buffer, callback: function): void

      - #### Parameters

        - ##### certificate: Buffer

        - ##### issuer: Buffer

        - ##### callback: function

          - - (err: Error | null, resp: Buffer): void

            - #### Parameters

              - ##### err: Error | null

              - ##### resp: Buffer

              #### Returns void

  #### Returns this

- Inherited from Server.once

  Overrides Server.once

  - Defined in node_modules/@types/node/tls.d.ts:318

  #### Parameters

  - ##### event: "resumeSession"

  - ##### listener: function

    - - (sessionId: Buffer, callback: function): void

      - #### Parameters

        - ##### sessionId: Buffer

        - ##### callback: function

          - - (err: Error, sessionData: Buffer): void

            - #### Parameters

              - ##### err: Error

              - ##### sessionData: Buffer

              #### Returns void

  #### Returns this

- Inherited from Server.once

  Overrides Server.once

  - Defined in node_modules/@types/node/tls.d.ts:319

  #### Parameters

  - ##### event: "secureConnection"

  - ##### listener: function

    - - (tlsSocket: TLSSocket): void

      - #### Parameters

        - ##### tlsSocket: TLSSocket

        #### Returns void

  #### Returns this

### prependListener

- prependListener(event: string, listener: function): this
- prependListener(event: "tlsClientError", listener: function): this
- prependListener(event: "newSession", listener: function): this
- prependListener(event: "OCSPRequest", listener: function): this
- prependListener(event: "resumeSession", listener: function): this
- prependListener(event: "secureConnection", listener: function): this

- Inherited from Server.prependListener

  Overrides Server.prependListener

  - Defined in node_modules/@types/node/tls.d.ts:321

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Inherited from Server.prependListener

  Overrides Server.prependListener

  - Defined in node_modules/@types/node/tls.d.ts:322

  #### Parameters

  - ##### event: "tlsClientError"

  - ##### listener: function

    - - (err: Error, tlsSocket: TLSSocket): void

      - #### Parameters

        - ##### err: Error

        - ##### tlsSocket: TLSSocket

        #### Returns void

  #### Returns this

- Inherited from Server.prependListener

  Overrides Server.prependListener

  - Defined in node_modules/@types/node/tls.d.ts:323

  #### Parameters

  - ##### event: "newSession"

  - ##### listener: function

    - - (sessionId: Buffer, sessionData: Buffer, callback: function): void

      - #### Parameters

        - ##### sessionId: Buffer

        - ##### sessionData: Buffer

        - ##### callback: function

          - - (err: Error, resp: Buffer): void

            - #### Parameters

              - ##### err: Error

              - ##### resp: Buffer

              #### Returns void

  #### Returns this

- Inherited from Server.prependListener

  Overrides Server.prependListener

  - Defined in node_modules/@types/node/tls.d.ts:324

  #### Parameters

  - ##### event: "OCSPRequest"

  - ##### listener: function

    - - (certificate: Buffer, issuer: Buffer, callback: function): void

      - #### Parameters

        - ##### certificate: Buffer

        - ##### issuer: Buffer

        - ##### callback: function

          - - (err: Error | null, resp: Buffer): void

            - #### Parameters

              - ##### err: Error | null

              - ##### resp: Buffer

              #### Returns void

  #### Returns this

- Inherited from Server.prependListener

  Overrides Server.prependListener

  - Defined in node_modules/@types/node/tls.d.ts:325

  #### Parameters

  - ##### event: "resumeSession"

  - ##### listener: function

    - - (sessionId: Buffer, callback: function): void

      - #### Parameters

        - ##### sessionId: Buffer

        - ##### callback: function

          - - (err: Error, sessionData: Buffer): void

            - #### Parameters

              - ##### err: Error

              - ##### sessionData: Buffer

              #### Returns void

  #### Returns this

- Inherited from Server.prependListener

  Overrides Server.prependListener

  - Defined in node_modules/@types/node/tls.d.ts:326

  #### Parameters

  - ##### event: "secureConnection"

  - ##### listener: function

    - - (tlsSocket: TLSSocket): void

      - #### Parameters

        - ##### tlsSocket: TLSSocket

        #### Returns void

  #### Returns this

### prependOnceListener

- prependOnceListener(event: string, listener: function): this
- prependOnceListener(event: "tlsClientError", listener: function): this
- prependOnceListener(event: "newSession", listener: function): this
- prependOnceListener(event: "OCSPRequest", listener: function): this
- prependOnceListener(event: "resumeSession", listener: function): this
- prependOnceListener(event: "secureConnection", listener: function): this

- Inherited from Server.prependOnceListener

  Overrides Server.prependOnceListener

  - Defined in node_modules/@types/node/tls.d.ts:328

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Inherited from Server.prependOnceListener

  Overrides Server.prependOnceListener

  - Defined in node_modules/@types/node/tls.d.ts:329

  #### Parameters

  - ##### event: "tlsClientError"

  - ##### listener: function

    - - (err: Error, tlsSocket: TLSSocket): void

      - #### Parameters

        - ##### err: Error

        - ##### tlsSocket: TLSSocket

        #### Returns void

  #### Returns this

- Inherited from Server.prependOnceListener

  Overrides Server.prependOnceListener

  - Defined in node_modules/@types/node/tls.d.ts:330

  #### Parameters

  - ##### event: "newSession"

  - ##### listener: function

    - - (sessionId: Buffer, sessionData: Buffer, callback: function): void

      - #### Parameters

        - ##### sessionId: Buffer

        - ##### sessionData: Buffer

        - ##### callback: function

          - - (err: Error, resp: Buffer): void

            - #### Parameters

              - ##### err: Error

              - ##### resp: Buffer

              #### Returns void

  #### Returns this

- Inherited from Server.prependOnceListener

  Overrides Server.prependOnceListener

  - Defined in node_modules/@types/node/tls.d.ts:331

  #### Parameters

  - ##### event: "OCSPRequest"

  - ##### listener: function

    - - (certificate: Buffer, issuer: Buffer, callback: function): void

      - #### Parameters

        - ##### certificate: Buffer

        - ##### issuer: Buffer

        - ##### callback: function

          - - (err: Error | null, resp: Buffer): void

            - #### Parameters

              - ##### err: Error | null

              - ##### resp: Buffer

              #### Returns void

  #### Returns this

- Inherited from Server.prependOnceListener

  Overrides Server.prependOnceListener

  - Defined in node_modules/@types/node/tls.d.ts:332

  #### Parameters

  - ##### event: "resumeSession"

  - ##### listener: function

    - - (sessionId: Buffer, callback: function): void

      - #### Parameters

        - ##### sessionId: Buffer

        - ##### callback: function

          - - (err: Error, sessionData: Buffer): void

            - #### Parameters

              - ##### err: Error

              - ##### sessionData: Buffer

              #### Returns void

  #### Returns this

- Inherited from Server.prependOnceListener

  Overrides Server.prependOnceListener

  - Defined in node_modules/@types/node/tls.d.ts:333

  #### Parameters

  - ##### event: "secureConnection"

  - ##### listener: function

    - - (tlsSocket: TLSSocket): void

      - #### Parameters

        - ##### tlsSocket: TLSSocket

        #### Returns void

  #### Returns this

### rawListeners

- rawListeners(event: string | symbol): Function[]

- Inherited from EventEmitter.rawListeners

  Overrides EventEmitter.rawListeners

  - Defined in node_modules/@types/node/events.d.ts:21

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### ref

- ref(): this

- Inherited from Server.ref

  - Defined in node_modules/@types/node/net.d.ts:178

  #### Returns this

### removeAllListeners

- removeAllListeners(event?: string | symbol): this

- Inherited from EventEmitter.removeAllListeners

  Overrides EventEmitter.removeAllListeners

  - Defined in node_modules/@types/node/events.d.ts:17

  #### Parameters

  - ##### Optional event: string | symbol

  #### Returns this

### removeListener

- removeListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.removeListener

  Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/events.d.ts:15

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### setMaxListeners

- setMaxListeners(n: number): this

- Inherited from EventEmitter.setMaxListeners

  Overrides EventEmitter.setMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:18

  #### Parameters

  - ##### n: number

  #### Returns this

### setTimeout

- setTimeout(callback: function): this
- setTimeout(msecs?: undefined | number, callback?: undefined | function): this

- - Defined in node_modules/@types/node/https.d.ts:27

  #### Parameters

  - ##### callback: function

    - - (): void

      - #### Returns void

  #### Returns this

- - Defined in node_modules/@types/node/https.d.ts:28

  #### Parameters

  - ##### Optional msecs: undefined | number

  - ##### Optional callback: undefined | function

  #### Returns this

### unref

- unref(): this

- Inherited from Server.unref

  - Defined in node_modules/@types/node/net.d.ts:179

  #### Returns this

### Static listenerCount

- listenerCount(emitter: EventEmitter, event: string | symbol): number

- Inherited from EventEmitter.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:7
  deprecated

    since v4.0.0

  #### Parameters

  - ##### emitter: EventEmitter

  - ##### event: string | symbol

  #### Returns number

Generated using TypeDoc